<?php

session_start();
require_once 'config.php';
require_once 'functions.php';

if($_SESSION['admin']){
	$del = 'Удалить';
	
	if(isset($_GET['id'])){
		delPost($_GET['id']);
		header("Location: ".$_SERVER['PHP_SELF']);
		exit;
	}
}

if($_POST['submit']){
	$res = addPost($_POST['name'], $_POST['email'], $_POST['msg']);
	
	if($res){
		$_SESSION['res'] = $res;
		header("Location: ".$_SERVER['PHP_SELF']);
		exit;
	}else{
		$_SESSION['res'] = ERROR;
		$_SESSION['name'] = clearDataClient($_POST['name']);
		$_SESSION['email'] = clearDataClient($_POST['email']);
		header("Location: ".$_SERVER['PHP_SELF']);
		exit;
	}
}

?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Гостевая книга</title>
<link rel="stylesheet" rev="stylesheet" type="text/css" href="style.css"  />
</head>

<body>

<div id="gb_container">
	<h2> Гостевая книга </h2>
	<form id="mainform" action="" method="post">
		<p class="name">
			<input type="text" name="name" value="<?php echo $_SESSION['name'] ?>" />
			<label for="name">Имя</label>
		</p>
		
		<p class="email">
			<input type="text" name="email" value="<?php echo $_SESSION['email'] ?>" />
			<label for="email" >E-Mail</label>
		</p>
		
		<p class="msg">
			<textarea name="msg" ></textarea>
		</p>
		
		<input name="send" type="hidden"  />
		
		<p class="send" >
			<input type="submit" name="submit" value="Отправить"  />
		</p>
	</form>
	
	<?php
	echo $_SESSION['res'];
	unset($_SESSION['res']);
	unset($_SESSION['name']);
	unset($_SESSION['email']);
	?>
	
	<?php
	
	$posts = selectAll();
	foreach($posts as $post){
	?>
	<div class = "msg_container">
		<div class="msg_header">
			<b><?php echo clearDataClient($post['name']) ?></b> <?php echo clearDataClient($post['email']) ?>
		</div>
			
		<div class="msg_body">
			<?php echo nl2br(bbTags(clearDataClient($post['post']))) ?>
		</div>
		<div class="msg_footer">
			Комментарий добавлен: <?php echo $post['date'] ?> <strong><a href="?id=<?php echo $post['id'] ?>"><?php echo $del ?></a></strong>
		</div>
	</div>
	<?php
	}
	
	?>
	
</div>

</body>
</html>